【更新】SKYNovel v1.18.3:Electron 14 に更新、アプリ版対応

・SKYNovel更新
## v1.18.3(9/16)
- fix: Winアプリでウインドウサイズが最小になる件
- fix: アプリで画面保存は Electron の機能を使用するように

- 既知の問題
- fix: 本文からタイトルに戻るとBGMが消える
## v1.18.2
- fix: Electron 14 に更新、アプリ版対応
- 既知の問題
  - Winアプリでウインドウサイズが最小になる

・拡張機能更新
## v3.14.3
- upd: テンプレ 21/9/15 版対応(core/app4webpack.js 置換)
- 既知の問題
  - アプリ終了でプロセス? が残る

・テンプレ更新
## v2.5.10
- upd:ライブラリ更新(Electron 14 に更新)

 ちょこちょこ変わってます。手作業で反映するなら……
  ・VSCode のターミナルで【npm i -D rimraf】と【npm i -D electron@latest】と【npm un -S stream-browserify】
  ・ファイル置換:core/app4webpack.js
  ・ファイル置換:core/webpack.config.js
  ・ファイル置換:doc/app/index.htm
  ・ファイル変更点反映:package.json の 38〜39 行目

・機能ギャラリー更新
## v2.0.48
- upd:ライブラリ更新(Electron 14 に更新)

VSCode拡張機能 v3.14.2:Node.js は 16.9.0 以上必須、テンプレ更新

20210914ex.jpg
 インストールする Node.js は LTS(長期サポート) を勧めておりますが、一箇月後の10/26には v14 → v16 に切り替わるので、前倒しで対応しておきます。

・リリース | Node.js https://nodejs.org/ja/about/releases/
 > プロダクションアプリケーションでは、アクティブ LTS または メンテナンス LTS リリースのみを使用してください。


・SKYNovel更新
## v1.18.1
- fix: tsconfig.json 更新 target, lib を es2021 に(Node.js は 16.9.0 以上必須)
  - replaceAll()の使用

・拡張機能更新
## v3.14.2(2021/9/15 17:36)
- fix: Windows10 で 拡張機能が動かない不具合(compare-versions不具合)
## v3.14.1
- fix: tsconfig.json 更新 target, lib を es2021 に
  - replaceAll()の使用
- fix: Node.js は 16.9.0 以上必須とし、未満はエラーとする表示を開発環境ビューなどに
- upd: テンプレ 21/9/14 版対応(core/app4webpack.js 置換)

・テンプレ更新
## v2.5.9
- fix: core/app4webpack.js 修正

 テンプレは一ファイルだけ置き換えて下さい。
20210914app4webpack_th.png

・機能ギャラリー更新
## v2.0.47
- fix: tsconfig.json 更新 target, lib を es2021 に
- upd:ライブラリ更新

SKYNovel v1.18.0:復号化処理を重点見直し

 暗号化・復号化処理の修正が終わりました。

・SKYNovel更新
## v1.18.0
- feat: BREAKING CHANGE: 復号化処理、SKYNovel 側でオブジェクト生成するように
- fix: BREAKING CHANGE: プラグインインタフェイス変更
  - 拡張機能 v3.14.0 以上に更新し、暗号化しない→する切り替えするだけでよい
  - fix: プラグイン init()は Promise式に
  - fix: 暗号化関係の async setPre を setDec に
- fix: コールバック記述を async/await 型にリファクタリング
- fix: 復号化処理を重点見直し、タイトル画面が見えない・BGMが短くループするなど解消
- fix: ライブラリ更新

・拡張機能更新
## v3.14.0
- feat: BREAKING CHANGE: 復号化処理、SKYNovel 側でオブジェクト生成するように
- fix: BREAKING CHANGE: プラグインインタフェイス変更
  - fix: プラグイン init()は Promise式に
  - fix: 暗号化関係の async setPre を setDec に
- add: 起動系のボタン、実行中は停止ボタンを表示するように
- fix: 暗号化切り替え、有効化の時にプログレス出ない件
- fix: 起動時ビルド中はコマンドボタンを押せないように
- fix: コマンド実行中は他のコマンドボタンを押せないように
- fix: スクリプト変更時、暗号化ファイルが更新されない件
- fix: リファクタリング

・機能ギャラリー更新
## v2.0.46
- upd:ライブラリ更新(SKYNovel v1.18.0 対応)

・テンプレ更新
## v2.5.8
- fix: ライブラリ更新

【更新】VSCode拡張機能 v3.13.0:新機能【テンプレートから始める】


 拡張機能に新機能【テンプレートから始める】です。
 これはテンプレートのウイザードを提供することで、DLから解凍・フォルダを開くまでをワンタッチで行えるようにするものです。
 使い方は【SKYNovel 開発者向け情報】の【テンプレートで始めよう】をご覧下さい。


・拡張機能更新
## v3.13.1(2021/08/21 17:16)
- fix: テンプレ解凍後に package-lock.json 削除
## v3.13.0
- add テンプレートのウイザード追加、DLから解凍・フォルダを開くまでをワンタッチに
- upd: フォルダを開いてない際でも、環境チェックをするように
- upd: フォルダを開いてない際はワークスペースビューに【テンプレートから始める】ボタンを表示するように
- fix: フォルダを開いてない際にネットのSKYNovelVerを取得しなかった件
## v3.12.12
- fix: 起動タイミングを以下の場合に変更
  - 言語 skynovel のドキュメントが表示された
  - 開いたフォルダに doc/prj/prj.json が存在する
  - 開発環境ビューが表示された
- fix: 自動 npm i が走らなくなっていた件を修正
## v3.12.11
- fix: ncu・npm updateの代わりに、npm-check-updates を拡張機能内に組み込み
  - sudo npm un -g npm-check-updates 状態でもちゃんと動作
- fix: ライブラリ更新(ts-node を 10.2.0以上に更新)
## v3.12.10
- fix: 環境チェック修正
- fix: 開発環境 準備の手引きをブラッシュアップ
  - もっと高度に。不必要な文面は消したり。もっと具体的に、ヴィジュアルに指示を。
  - windows-build-toolsはNode.jsインストーラーと連携するようになった件も反映
- fix: npm環境整備前に【npm i〜】なにがしを動作させないように(無意味なエラー)
- fix: npm環境整備前に設定画面を表示しないように(情報抑制でわかりやすく)
- fix: npm環境整備前にはプロジェクトの各種ボタンを表示しないように
- fix: 全ライブラリ更新でインストールされてないかもしれない ncu を使っていた件
  - 以前の【npm update】を使用するように

・SKYNovel更新
## v1.17.11
- fix: ライブラリ更新(webpack-dev-server 4.0.0 対応)
- docs: 拡張機能に新規追加された【テンプレートから始める】を反映
## v1.17.10
- fix: 開発環境の準備マニュアルを更新
- fix: ライブラリ更新
## v1.17.9
- fix: tsconfig.json をルートへ移動、テストコードが影響を受けるのでその対応
- fix: ライブラリ更新
## v1.17.8
- fix: ライブラリ更新
- fix: pixi.js 6.1.0以降対応で、core/tsconfig.json に必須スイッチを追加
  - 【"esModuleInterop": true】
  - 【"allowSyntheticDefaultImports": true】
  - https://github.com/pixijs/pixijs/issues/7685#issuecomment-895676265
- fix: tsconfig.json 戻し es2021 →【"target": "es2020",】
- fix: Loader.use(fn: (res, next: ()=> {} | undefined))につき警告、next()をnext?.()に書き換え

・テンプレ更新
・(横書きテンプレ)初音館にて
・(縦書きテンプレ)桜の樹の下には
・(シンプルテンプレ)SKYNovel simple sample project
## v2.5.7
- fix: ライブラリ更新(webpack-dev-server 4.0.0 対応)

・○機能ギャラリー更新
## v2.0.44
- fix: ライブラリ更新(webpack-dev-server 4.0.0 対応)

・○Node.js 14.17.5 LTS以上への更新推奨
  Node.js https://nodejs.org/en/

SKYNovel v1.17.7:ライブラリ更新など

 内部的な変更ばかりで、見た目や動作は同じです。

SKYNovel更新
## v1.17.7
- fix: ライブラリ更新
- fix: tsconfig.json 更新 es2020 →【"target": "es2021",】
## v1.17.4
- fix: ギャラリーでビルドエラーになる対策
- fix: ライブラリ更新
- fix: Github Action【Run npm test】で「Error: Not supported」になるので mocha 8.4.0 に戻す
## v1.17.3
- fix: overrideキーワード追加

拡張機能更新
## v3.12.9
- fix: 暗号化処理をリファクタリング
- fix: 暗号化ファイルを削除した場合に暗号化ファイル再生成
- fix: overrideキーワード追加

・テンプレ更新
・(横書きテンプレ)初音館にて
・(縦書きテンプレ)桜の樹の下には
・(シンプルテンプレ)SKYNovel simple sample project
## v2.5.5
- fix: ライブラリ更新
## v2.5.3
- fix: core/webpack.config.js 手直し
- fix: ライブラリ更新

・Node.js 14.17.4 LTS以上への更新推奨
  Node.js https://nodejs.org/en/

機能ギャラリー更新
## v2.0.41
- upd:ライブラリ更新
- fix: tsconfig.json 更新 es2019 →【"target": "es2021",】
## v2.0.37
- upd:Effekseer型指定更新対応
- https://github.com/effekseer/EffekseerForWebGL/issues/47
- upd:ライブラリ更新
プロフィール

ふぁみべぇ

Author:ふぁみべぇ
 →@famibee
 →メアド(四角を@に)

カテゴリ
リンク
検索フォーム
最新記事
月別アーカイブ